first commit

This commit is contained in:
Ward 2023-02-23 22:06:20 +02:00
commit f5aa2fb7e3
15 changed files with 111 additions and 0 deletions

1
orig.source.txt Normal file
View File

@ -0,0 +1 @@
Source is this git's root

View File

@ -0,0 +1,11 @@
wine-meta (100:1.0.winehq-99pika3) kinetic; urgency=low
* Add a service to link installed winehq bin to /usr/bin for legacy support
-- Ward Nakchbandi <hotrod.master@hotmail.com> Sat, 01 Oct 2022 14:50:00 +0200
wine-meta (100:1.0.winehq-99pika2) kinetic; urgency=low
* Initial Creation
-- Ward Nakchbandi <hotrod.master@hotmail.com> Sat, 01 Oct 2022 14:50:00 +0200

15
wine-meta/debian/control Normal file
View File

@ -0,0 +1,15 @@
Source: wine-meta
Section: otherosfs
Priority: optional
Maintainer: Ward Nakchbandi <hotrod.master@hotmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Package: wine
Architecture: amd64
Depends:${misc:Depends}, wine-staging | wine-devel | wine-stable, wine-staging-amd64 | wine-devel-amd64 | wine-stable-amd64, wine-staging-i386 | wine-devel-i386 | wine-stable-i386, winbind, dosbox | dosbox-staging, exe-thumbnailer | kio-extras
Conflicts: wine64, wine32
Provides: winehq-staging, winehq-stable, winehq-devel
Description: Windows API implementation - standard suite
Wine is a free MS-Windows API implementation.

1
wine-meta/debian/files Normal file
View File

@ -0,0 +1 @@
vkroots_0r26.e5eccf7-99pika2_source.buildinfo utils optional

6
wine-meta/debian/postinst Executable file
View File

@ -0,0 +1,6 @@
#!/bin/sh
set -e
systemctl enable --now link-opt-wine-to-bin.service || echo "link-opt-wine-to-bin service could not be enabled"

6
wine-meta/debian/prerm Executable file
View File

@ -0,0 +1,6 @@
#!/bin/sh
set -e
systemctl disable --now link-opt-wine-to-bin.service || echo "link-opt-wine-to-bin service could not be disabled"

4
wine-meta/debian/rules Executable file
View File

@ -0,0 +1,4 @@
#!/usr/bin/make -f
%:
dh ${@}

View File

@ -0,0 +1 @@
3.0 (native)

View File

@ -0,0 +1,2 @@
usr
etc

View File

@ -0,0 +1,2 @@
export PATH=/opt/wine-devel/bin:/opt/wine-staging/bin:/opt/wine-stable/bin:$PATH
export LD_LIBRARY_PATH=/opt/wine-devel/lib:/opt/wine-devel/lib64:/opt/wine-devel/lib/wine:/opt/wine-devel/lib64/wine:/opt/wine-devel/lib/wine/i386-unix:/opt/wine-devel/lib64/wine/x86_64-unix:/opt/wine-staging/lib:/opt/wine-staging/lib64:/opt/wine-staging/lib/wine:/opt/wine-staging/lib64/wine:/opt/wine-staging/lib/wine/i386-unix:/opt/wine-staging/lib64/wine/x86_64-unix:/opt/wine-stable/lib:/opt/wine-stable/lib64:/opt/wine-stable/lib/wine:/opt/wine-stable/lib64/wine:/opt/wine-stable/lib/wine/i386-unix:/opt/wine-stable/lib64/wine/x86_64-unix:$LD_LIBRARY_PATH

View File

@ -0,0 +1,8 @@
[Unit]
Description=Links binaries from opt path to bin
[Service]
ExecStart=/usr/bin/wine-linker
[Install]
WantedBy=multi-user.target

28
wine-meta/usr/bin/wine-linker Executable file
View File

@ -0,0 +1,28 @@
#! /bin/bash
if dpkg -s wine-stable
then
echo "winehq stable detected!"
ln -sf /opt/wine-stable/bin* /usr/bin/ && exit 0 || exit 1
fi
if dpkg -s wine-staging
then
echo "winehq staging detected!"
ln -sf /opt/wine-staging/bin* /usr/bin/ && exit 0 || exit 1
fi
if dpkg -s wine-devel
then
echo "winehq devel detected!"
ln -sf /opt/wine-devel/bin* /usr/bin/ && exit 0 || exit 1
fi

View File

@ -0,0 +1,8 @@
[Desktop Entry]
Name=Wine Prefix Configuration
Comment=Configure the default prefix settings
Exec=winecfg
Icon=wine
Terminal=false
Type=Application
Categories=Utility;

View File

@ -0,0 +1,8 @@
[Desktop Entry]
Name=Wine Control Panel
Comment=Windows Control Panel Under Wine
Exec=wine control.exe
Icon=wine
Terminal=false
Type=Application
Categories=Utility;

View File

@ -0,0 +1,10 @@
[Desktop Entry]
Name=Wine Windows Runtime
Comment=Run Windows Applications Natively Under Linux
Exec=wine %U
Icon=wine
Terminal=false
Type=Application
MimeType=application/x-ms-dos-executable
Categories=Utility;
NoDisplay=true